# InputGSSServerKeepAlive

Enables TCP keep-alive handling for GSS-protected connections.

This parameter applies to imgssapi: GSSAPI Syslog Input Module.

Name:

  InputGSSServerKeepAlive

Scope:

  input

Type:

  boolean

Default:

  0

Required?:

  no

Introduced:

  8.5.0

## Description

Enables or disables keep-alive packets at the TCP socket layer.

## Input usage

    module(load="imgssapi")
    $inputGssServerKeepAlive on

### Legacy names (for reference)

- $inputGssServerKeepAlive — maps to InputGSSServerKeepAlive (status: legacy)

## See also

See also imgssapi: GSSAPI Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.